Group: Text tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rssdler
Version:        0.4.2
Release:        alt1_17
Summary:        Downloads enclosures and other objects linked to from various types of RSS feeds

License:        GPLv2
URL:            http://code.google.com/p/rssdler/
Source0:        http://rssdler.googlecode.com/files/rssdler-%{version}.tar.gz
Source1:        gpl-2.0.txt
Source2:        rssdler-example-config.txt
BuildArch:      noarch

BuildRequires:  python-devel python-module-pkg_resources python-module-setuptools python-module-feedparser
Requires:       python-module-feedparser python-module-mechanize
Source44: import.info

%description
A utility to automatically download enclosures and other objects
linked to from various types of RSS feeds.
videocasts, and torrents.

Features include:
- filtering using regular expressions and/or file size
- global, feed, and filter based download locations
- can run in the background (at least on GNU/Linux) like a daemon
- various logging and verbosity levels
- support for sites protected with cookies (LWP/MSIE/Mozilla/Safari/Firefox3)
- global and feed scan times
- respects 'ttl' tag in feeds that have them
- call custom functions after a download or after a scan of the feed
(episode advancement!)
- generates an RSS feed of what it has downloaded.

Because it is written in Python, it is highly cross-platform compatible.
It tries to be memory efficient, with reports of it functioning on
consumer routers. Minimal external dependencies help keep that a reality.
It became popular when people started using it in conjunction with
rTorrent for torrent broadcatching.

%prep
%setup -q -n %{name}042


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
install %{SOURCE1} ./
install %{SOURCE2} ./
chmod a-x rssdler-example-config.txt
chmod a-x gpl-2.0.txt

pushd $RPM_BUILD_ROOT%{python_sitelibdir_noarch}
sed '/\/usr\/bin\/env/d' rssdler.py > rssdler.py.new &&
touch -r rssdler.py rssdler.py.new &&
mv rssdler.py.new rssdler.py
popd

%files
%doc README gpl-2.0.txt rssdler-example-config.txt
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}-%{version}-py?.?.egg-info
%{python_sitelibdir_noarch}/%{name}.py
%{python_sitelibdir_noarch}/%{name}.py?

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_11
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_6
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_5
- initial fc import

